System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

For more information, go to RFC 2616: Hypertext Transfer Protocol -- HTTP/1.1, on the World Wide Web Consortium (W3C) Web site. In particular, for complete details, see Section 14.9 "Cache-Control" and Section 13, "Caching in HTTP."

NoCache does not send the common HTTP 1.0 request directive Pragma: no-cache.

Provides enumerated values that are used to set the Cache-Control HTTP header.

- Field
  System.Web.HttpCacheability To be added

  Sets the Cache-Control: no-cache header. Without a field name, the directive applies to the entire request and a shared (proxy server) cache must force a successful revalidation with the origin Web server before satisfying the request. With a field name, the directive applies only to the named field; the rest of the response may be supplied from a shared cache.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.HttpCacheability To be added

  Default value. Sets Cache-Control: private to specify that the response is cacheable only on the client and not by shared (proxy server) caches.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.HttpCacheability To be added

  Sets Cache-Control: public to specify that the response is cacheable by clients and shared (proxy) caches.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.HttpCacheability To be added

  Specifies that the response is cached only at the origin server. Similar to the option. Clients receive a Cache-Control: no-cache directive but the document is cached on the origin server. Equivalent to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.HttpCacheability ServerAndNoCache To be added.

  Applies the settings of both and to indicate that the content is cached at the server but all others are explicitly denied the ability to cache the response.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.HttpCacheability ServerAndPrivate To be added.

  Indicates that the response is cached at the server and at the client but nowhere else. Proxy servers are not allowed to cache the response.

  1.0.5000.0
  2.0.0.0